PETSc version 3.17.4
Fix/Edit manual page

# VecRestoreArrayWriteAndMemType

Restore array obtained with VecGetArrayWriteAndMemType()

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreArrayWriteAndMemType(Vec x,PetscScalar **a)

Not Collective

### Input Parameters

| vec | - the vector
| array | - the array

### See Also

VecGetArrayWriteAndMemType(), VecRestoreArrayAndMemType(), VecGetArray(), VecRestoreArray(), VecGetArrayPair(), VecRestoreArrayPair()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages